RCSID $Id: drivers.net.Space.c,v 1.5 1999/09/17 17:48:36 rgb Exp $
--- ./drivers/net/Space.c.preipsec	Sun Jun 13 13:21:01 1999
+++ ./drivers/net/Space.c	Thu Sep 16 11:26:31 1999
@@ -474,6 +474,68 @@
 #define	NEXT_DEV	(&fddi0_dev)
 #endif 
 
+#ifdef CONFIG_IPSEC
+extern int ipsec_tunnel_probe(struct device *);
+
+static struct device dev_ipsec3 = 
+{
+	"ipsec3\0   ",		/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	NEXT_DEV,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+
+static struct device dev_ipsec2 = 
+{
+	"ipsec2\0   ",		/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	&dev_ipsec3,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+
+static struct device dev_ipsec1 = 
+{
+	"ipsec1\0   ",		/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	&dev_ipsec2,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+
+static struct device dev_ipsec0 = 
+{
+	"ipsec0\0   ",		/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	&dev_ipsec1,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+#   undef	NEXT_DEV
+#   define	NEXT_DEV	(&dev_ipsec0)
+#endif /* CONFIG_IPSEC */
+
 #ifdef CONFIG_NET_IPIP
 	extern int tunnel_init(struct device *);
 	
