RCSID $Id: drivers.net.Space.c,v 1.4 1999/09/24 18:01:29 rgb Exp $
--- ./drivers/net/Space.c.preipsec	Mon Aug  9 15:05:13 1999
+++ ./drivers/net/Space.c	Sat Aug 28 02:24:58 1999
@@ -829,7 +829,69 @@
 #   undef       NEXT_DEV
 #   define      NEXT_DEV        (&sb1000_dev)
 #endif
-	
+
+#ifdef CONFIG_IPSEC
+extern int ipsec_tunnel_probe(struct device *);
+
+static struct device dev_ipsec3 = 
+{
+	"ipsec3\0   ",		/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	NEXT_DEV,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+
+static struct device dev_ipsec2 = 
+{
+	"ipsec2\0   ",		/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	&dev_ipsec3,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+
+static struct device dev_ipsec1 = 
+{
+	"ipsec1\0   ",		/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	&dev_ipsec2,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+
+static struct device dev_ipsec0 = 
+{
+	"ipsec0\0   ",		/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	&dev_ipsec1,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+#   undef	NEXT_DEV
+#   define	NEXT_DEV	(&dev_ipsec0)
+#endif /* CONFIG_IPSEC */
+
 extern int loopback_init(struct device *dev);
 struct device loopback_dev = {
 	"lo",			/* Software Loopback interface		*/
